﻿

// Inspired by Jongware, https://forums.adobe.com/thread/2397321

(function () {
	var topics = app.documents.item(0).indexes.item(0).allTopics;
	var refTopics = app.documents.item(0).indexes.item(0).topics;
	var xrefs, xrefType;
	var j, list;
	for (var i = 0; i < topics.length; i++) {
		xrefs = topics[i].crossReferences.everyItem().getElements();
		if (xrefs.length < 2) {
			continue;
		}
		list = [];
		xrefType = xrefs[0].crossReferenceType;
		for (j = xrefs.length-1; j >= 0; j--) {
			if (xrefs[j].crossReferenceType === xrefType) {
				list.push (xrefs[j].referencedTopic.name);
				xrefs[j].remove();
			}
		}
		list.sort();
		for (j = 0; j < list.length; j++) {
			topics[i].crossReferences.add (refTopics.item (list[j]), xrefType);
		}
	}
}());